#This spec file was created by John R. Marshall and adapted for Mandrake 9.0
#by Ernest Stracener

%define name kpsk
%define version 1.0.1
%define release 1mdk
#fix tag=CXX libtool error
%define __libtoolize true

Summary:	Amateur radio PSK31 application for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://kpsk.sf.net/
Group:		Communications
Source:		%{name}-%{version}.tar.bz2
Source10:	%{name}.16.png.bz2
Source11:	%{name}.32.png.bz2
Source12:	%{name}.48.png.bz2
Patch0: 	%{name}-1.0-sound_location.patch.bz2
Patch1:		%{name}-1.0.1-gcc-3.4-syntax.patch.bz2
BuildRequires:	kdelibs-devel db3-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
KPSK is a PSK31 digital radio communications application for use by
licensed amateur radio operators and designed specifically for the KDE 
3.x desktop environment.

This release brings a greatly improved version of KPSK to the KDE 3.x 
desktop environment, expanding on the original functionality of KPSK.

%prep
%setup -q
%patch0 -p1 -b .sound_location
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure --disable-debug --disable-rpath $LOCALFLAGS
%make

%install
rm -Rf %buildroot
make install-strip DESTDIR=$RPM_BUILD_ROOT prefix=%{buildroot}/%{_prefix} kde_htmldir=%{_datadir}/doc/HTML

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="kpsk"\
icon="%{name}.png"\
title="KPSK"\
longtitle="Amateur radio PSK31 application for KDE"\
needs="x11"\
section="More applications/Communications"
EOF
)

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}

%post 
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_menudir}/kpsk
%{_datadir}/applnk/Applications/HamRadio/kpsk.desktop
%{_datadir}/apps/%{name}
%{_datadir}/doc/HTML/en/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/*/*/*/*.png
%doc README COPYING AUTHORS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.1-1mdk
- 1.0.1

* Sat Sep 20 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-1mdk
- Add package to contrib
- Cleanups

* Mon Oct 07 2002 Ernest Stracener <kg9ni@users.sf.net> 1.0-0.mdk90

* Fri Sep 27 2002 Ernest Stracener <kg9ni@users.sf.net> pr0mdk90
- John's spec file adapted for installation on mandrake 9.0

* Sat Sep  08 2002 John R. Marshall <hotrodder@softhome.net> 2mdk
- Fixed Icons in menu
- patch to fix sound location

* Fri Sep 06 2002 John R. Marshall <hotrodder@softhome.net> 1mdk
- Specfile adaptations for Mandrake
- gz to bz2 compression
